Skip to main content
Infrastructure/Federation & SSO

GetCircuitBreakerStats

Retrieve aggregated statistics for a platform circuit breaker.

GET/api/v1/platforms/{platformId}/circuit-breaker/stats

Operation ID

GetCircuitBreakerStats

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • platformId
    StringRequired

    Platform identifier whose circuit breaker statistics are requested.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • platformId
    String

    Platform identifier for which these stats are recorded.

    Example: platform-abc123

  • totalRequests
    Integer

    Total number of requests processed by the circuit breaker.

    Example: 1000

  • totalSuccesses
    Integer

    Total number of successful requests.

    Example: 950

  • totalFailures
    Integer

    Total number of failed requests.

    Example: 50

  • totalCircuited
    Integer

    Total number of requests rejected due to an open circuit.

    Example: 20

  • stateTransitions
    Integer

    Total number of state transitions recorded for the circuit.

    Example: 4